io.undertow.util

## Class PathMatcher.PathMatch<T>

- java.lang.Object
- - io.undertow.util.PathMatcher.PathMatch<T>

Enclosing class:
  PathMatcher<T>

    public static final class PathMatcher.PathMatch<T>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PathMatch(String matched, String remaining, T value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMatched()`
`String` `getRemaining()`
`T` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathMatch

    public PathMatch(String matched,
                     String remaining,
                     T value)

### Method Detail

#### getRemaining

    public String getRemaining()

#### getMatched

    public String getMatched()

#### getValue

    public T getValue()